### Method

# Gegl Path parse_string

#### Declaration [src]

    void
    gegl_path_parse_string (
      GeglPath* path,
      const gchar* instructions
    )

#### Description [src]

Parses `instructions` and appends corresponding nodes to path (call `gegl_path_clean()` first if you want to replace the existing path.

#### Parameters

`instructions`

  Type: `const gchar*`

  A string describing a path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.